"use strict";
this.name           = "SC check requirements";
this.author         = "Lone_Wolf";
this.copyright      = "(C) 2011-2012, 2014-2015 Lone_Wolf.";
this.licence        = "CC-by-SA 4.0";
this.description    = "SC check library requirements";
this.version        = "1.11.1";


this._sc_check_required = function()
  {
    // returns true if requirements are met
    // Check if functions library is installed.
    if( typeof(worldScripts.Cabal_Common_Functions.Cabal_Common) === 'undefined' )
      { 
	this._sc_log(" -> Cabal_Common_Library is missing");
	return false;
      };
    // CCL present
    // Create new instance as variable, because we don't need it after the checks anymore.
    var helper = new worldScripts.Cabal_Common_Functions.Cabal_Common();
    // Check libraries internalVersion
    if ( helper.internalVersion < 15 )
      { 
	this._sc_log(" -> Cabal_Common_Library is too old");
	return false;
      };
    // CCL present and recent enough
    if ( !helper.oxpVersionTest(this.name,["OXPConfig","2.3.1"])  )
      {
	this._sc_log(" -> OXPConfig is to old or not present");
	return false;
      };
    // requirements met
    return true;
  };

this._sc_log = function(desc)
  {
    // If something is wrong complain, used only once
    delete this._sc_log;
    player.commsMessage("Shield Cycler - Check your Latest.log.",10);
    log("Shield Cycler  - configuration disabled : "+desc);
  };

