"use strict";
this.name           = "SC equipment condtion script";
this.author         = "Lone_Wolf";
this.copyright      = "(C) 2011-2012, 2014-2015 Lone_Wolf.";
this.licence        = "CC-by-SA 4.0";
this.description    = "SC equipment condition script";
this.version        = "1.11.1";

this.allowAwardEquipment = function(equipment, ship, context)
{
  if ( worldScripts["Shield Cycler"].startUp ) { worldScripts["Shield Cycler"].startUp(); };
  var allowed = false;
  switch ( equipment )
    {
      case "EQ_SC_SHIELD_CYCLER_BASIC":
	allowed = ( worldScripts["Shield Cycler"]._sc_settings.sc.version == worldScripts["Shield Cycler"]._sc_const.none ) ? true : false;
	break;
      case "EQ_SC_SHIELD_CYCLER_STANDARD":
	allowed = ( worldScripts["Shield Cycler"]._sc_settings.sc.version == worldScripts["Shield Cycler"]._sc_const.basic ) ? true : false;
	break;
      case "EQ_SC_SHIELD_CYCLER_ADVANCED":
	allowed = ( worldScripts["Shield Cycler"]._sc_settings.sc.version == worldScripts["Shield Cycler"]._sc_const.standard ) ? true : false;
	break;
      case "EQ_SC_MANUAL_CONFIGURATOR_BASIC":
	if ( worldScripts["Shield Cycler"]._sc_settings.sc.version != worldScripts["Shield Cycler"]._sc_const.none ) 
	  { 
	    allowed = ( worldScripts["Shield Cycler"]._sc_settings.sc.manual_version == worldScripts["Shield Cycler"]._sc_const.none ) ? true : false; 
	  };
	break;
      case "EQ_SC_MANUAL_CONFIGURATOR_STANDARD":
	if ( worldScripts["Shield Cycler"]._sc_settings.sc.version > worldScripts["Shield Cycler"]._sc_const.basic )
	  {
	    allowed = ( worldScripts["Shield Cycler"]._sc_settings.sc.manual_version == worldScripts["Shield Cycler"]._sc_const.basic ) ? true : false;
	  };
	break;
      case "EQ_SC_MANUAL_CONFIGURATOR_ADVANCED":
	if ( worldScripts["Shield Cycler"]._sc_settings.sc.version == worldScripts["Shield Cycler"]._sc_const.advanced )
	  {
	    allowed = ( worldScripts["Shield Cycler"]._sc_settings.sc.manual_version == worldScripts["Shield Cycler"]._sc_const.standard ) ? true : false;
	  };
	break;
      case "EQ_SC_SELL_SHIELD_CYCLER":
	if ( worldScripts["Shield Cycler"]._sc_settings.sc.version > worldScripts["Shield Cycler"]._sc_const.none )
	  {
	    allowed = ( worldScripts["Shield Cycler"]._sc_settings.sc.manual_version == worldScripts["Shield Cycler"]._sc_const.none ) ? true : false;
	  };
	break;
      case "EQ_SC_SELL_MANUAL_CONFIGURATOR":
	allowed = ( worldScripts["Shield Cycler"]._sc_settings.sc.manual_version != worldScripts["Shield Cycler"]._sc_const.none ) ? true : false;
	break;
      case "EQ_SC_SHIELD_CYCLER_INTERNAL":
	allowed = ( context == "scripted" ) ? true : false;
	break;
      case "EQ_SC_MANUAL_CONFIGURATOR_INTERNAL":
	allowed = ( context == "scripted" ) ? true : false;
	break;
      case "EQ_SC_SC_REPAIR":
	if ( worldScripts["Shield Cycler"]._sc_settings.sc.version > worldScripts["Shield Cycler"]._sc_const.none )  
	  {
	    allowed = ( worldScripts["Shield Cycler"]._sc_settings.sc.functional < 100 ) ? true : false;
	  };
	break;
      default:
	break;
    };
  return allowed;
};

this.updateEquipmentPrice = function(equipment, price)
{
  var repair_cost = price;
  if ( equipment == EQ_SC_SC_REPAIR )
    {
      repair_cost = worldScripts["Shield Cycler"]._sc_worm.sc_cost[ worldScripts["Shield Cycler"]._sc_settings.sc.version ];
      repair_cost += worldScripts["Shield Cycler"]._sc_worm.manual_cost[ worldScripts["Shield Cycler"]._sc_settings.sc.manual_version ];
      repair_cost *= 0.1;
      repair_cost = 0.5 * repair_cost *  (100 - worldScripts["Shield Cycler"]._sc_settings.sc.functional ) / 100;
    };
  return repair_cost;
};

  